#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#include <SoftwareSerial.h>

// Set the LCD address to 0x27 for a 16 chars and 2 line display
LiquidCrystal_I2C lcd(0x27, 16, 2);
int count;
const int RX = 4, TX = 5;
SoftwareSerial mySerial (RX, TX);

void setup()
{
  // initialize the LCD
  lcd.begin();
  // Turn on the blacklight and print a message.
  lcd.backlight();
  mySerial.begin(115200);
  //lcd.print("Detected: ");
}

void loop()
{
  if (mySerial.available()) {
    // Serial.write(mySerial.read());
    // wait a bit for the entire message to arrive
    delay(100);
    // clear the screen
    lcd.clear();
    // read all the available characters
    while (mySerial.available() > 0) {
      // display each character to the LCD
      //if (mySerial.read() > 0) 
      lcd.write(mySerial.read()); // > 100
      //delay(1000);
      //lcd.clear();
    //else lcd.write("No touch detected");
    }
  }
}
