#include <util/delay.h>

#define CHARGEPIN 0
#define READPIN 1
#define settleDelay 100
#define chargeDelay 1
unsigned long previousMillis = 0;

int reading; const long interval = 1000;

void setup() {
  Serial.begin(115200);
  pinMode(CHARGEPIN, OUTPUT);
  digitalWrite(CHARGEPIN, LOW);
  pinMode(READPIN, INPUT);  
}

void loop() {
  //settle, charge, and wait
  delay(settleDelay);        
  digitalWrite(CHARGEPIN, HIGH);
  delay(chargeDelay);
  reading = analogRead(READPIN);
  unsigned long currentMillis = millis();
  //send result
  //Serial.println(reading);
  if (reading < 1015){
    if(currentMillis - previousMillis >= interval){
      Serial.println("Touch");
      previousMillis = currentMillis;
    }
  }
  else{
    if(currentMillis - previousMillis >= interval){
      Serial.println("No touch");
      previousMillis = currentMillis;
    }
  }
}
